import { EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { CardData } from 'verben-ng-ui';
import { TaskAssignmentType } from '../../../models/TaskAssignmentType';
import { Workflow } from '../../../models/Workflow';
import { WorkflowOperation } from '../../../models/WorkflowOperation';
import { Status } from '../../../models/status';
import * as i0 from "@angular/core";
export declare class WorkflowFormComponent {
    private fb;
    operations: WorkflowOperation[];
    get currentData(): CardData | null;
    set currentData(value: CardData | null);
    private _currentData;
    switchView: EventEmitter<undefined>;
    onSave: EventEmitter<Partial<Workflow>>;
    form: FormGroup;
    assignmentTypes: TaskAssignmentType[];
    statuses: Status[];
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    handleSubmit(): void;
    onDelete(): void;
    disableProcessing(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkflowFormComponent, "lib-workflow-form", never, { "operations": { "alias": "operations"; "required": false; }; "currentData": { "alias": "currentData"; "required": false; }; }, { "switchView": "switchView"; "onSave": "onSave"; }, never, never, false, never>;
}
